(* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *)
(*                                                                             *)
(*         This file has been automatically generated by FeynRules.            *)
(*                                                                             *)
(* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *)



(*     Declared indices    *)

IndexRange[ Index[Generation] ] = Range[ 3 ]

IndexRange[ Index[Colour] ] = NoUnfold[ Range[ 3 ] ]

IndexRange[ Index[Gluon] ] = NoUnfold[ Range[ 8 ] ]

IndexRange[ Index[SU2W] ] = Range[ 3 ]

IndexRange[ Index[Higgs] ] = Range[ 3 ]

(*     Declared particles    *)

M$ClassesDescription = {
F[1] == {
    SelfConjugate -> False,
    Indices -> {Index[Generation]},
    QuantumNumbers -> {LeptonNumber},
    PropagatorLabel -> "v",
    PropagatorType -> Straight,
    PropagatorArrow -> Forward,
    Mass -> 0 },

F[2] == {
    SelfConjugate -> False,
    Indices -> {Index[Generation]},
    QuantumNumbers -> {-Q, LeptonNumber},
    PropagatorLabel -> "l",
    PropagatorType -> Straight,
    PropagatorArrow -> Forward,
    Mass -> Ml },

F[3] == {
    SelfConjugate -> False,
    Indices -> {Index[Generation], Index[Colour]},
    QuantumNumbers -> {(2*Q)/3},
    PropagatorLabel -> "uq",
    PropagatorType -> Straight,
    PropagatorArrow -> Forward,
    Mass -> Mu },

F[4] == {
    SelfConjugate -> False,
    Indices -> {Index[Generation], Index[Colour]},
    QuantumNumbers -> {-Q/3},
    PropagatorLabel -> "dq",
    PropagatorType -> Straight,
    PropagatorArrow -> Forward,
    Mass -> Md },

V[1] == {
    SelfConjugate -> True,
    Indices -> {},
    PropagatorLabel -> "a",
    PropagatorType -> Sine,
    PropagatorArrow -> None,
    Mass -> 0 },

V[2] == {
    SelfConjugate -> True,
    Indices -> {},
    PropagatorLabel -> "Z",
    PropagatorType -> Sine,
    PropagatorArrow -> None,
    Mass -> MZ },

V[3] == {
    SelfConjugate -> False,
    Indices -> {},
    QuantumNumbers -> {Q},
    PropagatorLabel -> "W",
    PropagatorType -> Sine,
    PropagatorArrow -> Forward,
    Mass -> MW },

V[4] == {
    SelfConjugate -> True,
    Indices -> {Index[Gluon]},
    PropagatorLabel -> G,
    PropagatorType -> Cycles,
    PropagatorArrow -> None,
    Mass -> 0 },

U[1] == {
    SelfConjugate -> False,
    Indices -> {Index[Gluon]},
    QuantumNumbers -> {GhostNumber},
    PropagatorLabel -> uG,
    PropagatorType -> GhostDash,
    PropagatorArrow -> Forward,
    Mass -> 0 },

S[1] == {
    SelfConjugate -> False,
    Indices -> {},
    QuantumNumbers -> {Q},
    PropagatorType -> ScalarDash,
    PropagatorArrow -> Forward,
    PropagatorLabel -> Hc,
    Mass -> mhc },

S[2] == {
    SelfConjugate -> True,
    Indices -> {Index[Higgs]},
    PropagatorType -> ScalarDash,
    PropagatorArrow -> None,
    PropagatorLabel -> H,
    Mass -> MH }
}


(*        Definitions       *)

GaugeXi[ V[1] ] = GaugeXi[A];
GaugeXi[ V[2] ] = GaugeXi[Z];
GaugeXi[ V[3] ] = GaugeXi[W];
GaugeXi[ V[4] ] = GaugeXi[G];
GaugeXi[ U[1] ] = GaugeXi[A];
GaugeXi[ S[1] ] = 1;
GaugeXi[ S[2] ] = GaugeXi[Z];

Ml[ 1 ] := 0;
Ml[ 2 ] := MM;
Ml[ 3 ] := MTA;
Mu[ 1, _ ] := 0;
Mu[ 1 ] := 0;
Mu[ 2, _ ] := MC;
Mu[ 2 ] := MC;
Mu[ 3, _ ] := MT;
Mu[ 3 ] := MT;
Md[ 1, _ ] := 0;
Md[ 1 ] := 0;
Md[ 2, _ ] := MS;
Md[ 2 ] := MS;
Md[ 3, _ ] := MB;
Md[ 3 ] := MB;
MZ[ ___ ] := MZ;
MW[ ___ ] := MW;
mhc[ ___ ] := mhc;
MH[ 1 ] := mh1
MH[ 2 ] := mh2
MH[ 3 ] := mh3


TheLabel[ F[1, {1}] ] := "ve";
TheLabel[ F[1, {2}] ] := "vm";
TheLabel[ F[1, {3}] ] := "vt";
TheLabel[ F[2, {1}] ] := "e";
TheLabel[ F[2, {2}] ] := "m";
TheLabel[ F[2, {3}] ] := "tt";
TheLabel[ F[3, {1, _}] ] := "u";
TheLabel[ F[3, {1}] ] := "u";
TheLabel[ F[3, {2, _}] ] := "c";
TheLabel[ F[3, {2}] ] := "c";
TheLabel[ F[3, {3, _}] ] := "t";
TheLabel[ F[3, {3}] ] := "t";
TheLabel[ F[4, {1, _}] ] := "d";
TheLabel[ F[4, {1}] ] := "d";
TheLabel[ F[4, {2, _}] ] := "s";
TheLabel[ F[4, {2}] ] := "s";
TheLabel[ F[4, {3, _}] ] := "b";
TheLabel[ F[4, {3}] ] := "b";
TheLabel[ V[4, {__}] ] := TheLabel[V[4]];
TheLabel[ U[1, {__}] ] := TheLabel[U[1]];
TheLabel[ S[2, {1}] ] := "h1"
TheLabel[ S[2, {2}] ] := "h2"
TheLabel[ S[2, {3}] ] := "h3"


(*      Couplings (calculated by FeynRules)      *)

M$CouplingMatrices = {

C[ V[4, {e1x2}] , V[4, {e2x2}] , V[4, {e3x2}] ] == {{-(gc1*SUNF[e1x2, e2x2, e3x2]), 0, 0}, {gc1*SUNF[e1x2, e2x2, e3x2], 0, 0}, {gc1*SUNF[e1x2, e2x2, e3x2], 0, 0}, {-(gc1*SUNF[e1x2, e2x2, e3x2]), 0, 0}, {-(gc1*SUNF[e1x2, e2x2, e3x2]), 0, 0}, {gc1*SUNF[e1x2, e2x2, e3x2], 0, 0}},

C[ V[4, {e1x2}] , V[4, {e2x2}] , V[4, {e3x2}] , V[4, {e4x2}] ] == {{(-I)*gc2*(SUNF[e1x2, e2x2, e3x2, e4x2] + SUNF[e1x2, e3x2, e2x2, e4x2]), 0, 0}, {I*gc2*(SUNF[e1x2, e2x2, e3x2, e4x2] - SUNF[e1x2, e4x2, e2x2, e3x2]), 0, 0}, {I*gc2*(SUNF[e1x2, e3x2, e2x2, e4x2] + SUNF[e1x2, e4x2, e2x2, e3x2]), 0, 0}},

C[ V[1] , V[3] , -V[3] ] == {{(-I)*gc3, 0, 0}, {I*gc3, 0, 0}, {I*gc3, 0, 0}, {(-I)*gc3, 0, 0}, {(-I)*gc3, 0, 0}, {I*gc3, 0, 0}},

C[ V[1] , V[1] , V[3] , -V[3] ] == {{(-I)*gc4, 0, 0}, {(-I)*gc4, 0, 0}, {(2*I)*gc4, 0, 0}},

C[ V[3] , -V[3] , V[2] ] == {{(-I)*gc5, 0, 0}, {I*gc5, 0, 0}, {I*gc5, 0, 0}, {(-I)*gc5, 0, 0}, {(-I)*gc5, 0, 0}, {I*gc5, 0, 0}},

C[ V[3] , V[3] , -V[3] , -V[3] ] == {{(-I)*gc6, 0, 0}, {(-I)*gc6, 0, 0}, {(2*I)*gc6, 0, 0}},

C[ V[1] , V[3] , -V[3] , V[2] ] == {{(-2*I)*gc7, 0, 0}, {I*gc7, 0, 0}, {I*gc7, 0, 0}},

C[ V[3] , -V[3] , V[2] , V[2] ] == {{(-I)*gc8, 0, 0}, {(-I)*gc8, 0, 0}, {(2*I)*gc8, 0, 0}},

C[ S[1] , S[1] , -S[1] , -S[1] ] == {{(-4*I)*l2, 0, 0}},

C[ S[1] , -S[1] , V[1] , V[1] ] == {{(2*I)*EL^2, 0, 0}},

C[ S[1] , -S[1] , V[1] ] == {{(-I)*gc11, 0, 0}, {I*gc11, 0, 0}},

C[ S[2, {e1x1}] , S[1] , -S[1] ] == {{(v*((-2*I)*l3*TH[1, e1x1] - I*l7*TH[2, e1x1] - I*Conjugate[l7]*TH[2, e1x1] + l7*TH[3, e1x1] - Conjugate[l7]*TH[3, e1x1]))/2, 0, 0}},

C[ S[2, {e1x1}] , S[2, {e2x1}] , S[1] , -S[1] ] == {{((-2*I)*l3*TH[1, e1x1]*TH[1, e2x1] - I*l7*TH[1, e2x1]*TH[2, e1x1] - I*Conjugate[l7]*TH[1, e2x1]*TH[2, e1x1] - I*l7*TH[1, e1x1]*TH[2, e2x1] - I*Conjugate[l7]*TH[1, e1x1]*TH[2, e2x1] - (4*I)*l2*TH[2, e1x1]*TH[2, e2x1] + l7*TH[1, e2x1]*TH[3, e1x1] - Conjugate[l7]*TH[1, e2x1]*TH[3, e1x1] + l7*TH[1, e1x1]*TH[3, e2x1] - Conjugate[l7]*TH[1, e1x1]*TH[3, e2x1] - (4*I)*l2*TH[3, e1x1]*TH[3, e2x1])/2, 0, 0}},

C[ S[2, {e1x1}] , S[2, {e2x1}] , S[2, {e3x1}] ] == {{(v*((-12*I)*l1*TH[1, e1x1]*TH[1, e2x1]*TH[1, e3x1] - (3*I)*l6*TH[1, e2x1]*TH[1, e3x1]*TH[2, e1x1] - (3*I)*Conjugate[l6]*TH[1, e2x1]*TH[1, e3x1]*TH[2, e1x1] - (3*I)*l6*TH[1, e1x1]*TH[1, e3x1]*TH[2, e2x1] - (3*I)*Conjugate[l6]*TH[1, e1x1]*TH[1, e3x1]*TH[2, e2x1] - (2*I)*l3*TH[1, e3x1]*TH[2, e1x1]*TH[2, e2x1] - (2*I)*l4*TH[1, e3x1]*TH[2, e1x1]*TH[2, e2x1] - (4*I)*l5*TH[1, e3x1]*TH[2, e1x1]*TH[2, e2x1] - (3*I)*l6*TH[1, e1x1]*TH[1, e2x1]*TH[2, e3x1] - (3*I)*Conjugate[l6]*TH[1, e1x1]*TH[1, e2x1]*TH[2, e3x1] - (2*I)*l3*TH[1, e2x1]*TH[2, e1x1]*TH[2, e3x1] - (2*I)*l4*TH[1, e2x1]*TH[2, e1x1]*TH[2, e3x1] - (4*I)*l5*TH[1, e2x1]*TH[2, e1x1]*TH[2, e3x1] - (2*I)*l3*TH[1, e1x1]*TH[2, e2x1]*TH[2, e3x1] - (2*I)*l4*TH[1, e1x1]*TH[2, e2x1]*TH[2, e3x1] - (4*I)*l5*TH[1, e1x1]*TH[2, e2x1]*TH[2, e3x1] - (3*I)*l7*TH[2, e1x1]*TH[2, e2x1]*TH[2, e3x1] - (3*I)*Conjugate[l7]*TH[2, e1x1]*TH[2, e2x1]*TH[2, e3x1] + 3*l6*TH[1, e2x1]*TH[1, e3x1]*TH[3, e1x1] - 3*Conjugate[l6]*TH[1, e2x1]*TH[1, e3x1]*TH[3, e1x1] + l7*TH[2, e2x1]*TH[2, e3x1]*TH[3, e1x1] - Conjugate[l7]*TH[2, e2x1]*TH[2, e3x1]*TH[3, e1x1] + 3*l6*TH[1, e1x1]*TH[1, e3x1]*TH[3, e2x1] - 3*Conjugate[l6]*TH[1, e1x1]*TH[1, e3x1]*TH[3, e2x1] + l7*TH[2, e1x1]*TH[2, e3x1]*TH[3, e2x1] - Conjugate[l7]*TH[2, e1x1]*TH[2, e3x1]*TH[3, e2x1] - (2*I)*l3*TH[1, e3x1]*TH[3, e1x1]*TH[3, e2x1] - (2*I)*l4*TH[1, e3x1]*TH[3, e1x1]*TH[3, e2x1] + (4*I)*l5*TH[1, e3x1]*TH[3, e1x1]*TH[3, e2x1] - I*l7*TH[2, e3x1]*TH[3, e1x1]*TH[3, e2x1] - I*Conjugate[l7]*TH[2, e3x1]*TH[3, e1x1]*TH[3, e2x1] + 3*l6*TH[1, e1x1]*TH[1, e2x1]*TH[3, e3x1] - 3*Conjugate[l6]*TH[1, e1x1]*TH[1, e2x1]*TH[3, e3x1] + l7*TH[2, e1x1]*TH[2, e2x1]*TH[3, e3x1] - Conjugate[l7]*TH[2, e1x1]*TH[2, e2x1]*TH[3, e3x1] - (2*I)*l3*TH[1, e2x1]*TH[3, e1x1]*TH[3, e3x1] - (2*I)*l4*TH[1, e2x1]*TH[3, e1x1]*TH[3, e3x1] + (4*I)*l5*TH[1, e2x1]*TH[3, e1x1]*TH[3, e3x1] - I*l7*TH[2, e2x1]*TH[3, e1x1]*TH[3, e3x1] - I*Conjugate[l7]*TH[2, e2x1]*TH[3, e1x1]*TH[3, e3x1] - (2*I)*l3*TH[1, e1x1]*TH[3, e2x1]*TH[3, e3x1] - (2*I)*l4*TH[1, e1x1]*TH[3, e2x1]*TH[3, e3x1] + (4*I)*l5*TH[1, e1x1]*TH[3, e2x1]*TH[3, e3x1] - I*l7*TH[2, e1x1]*TH[3, e2x1]*TH[3, e3x1] - I*Conjugate[l7]*TH[2, e1x1]*TH[3, e2x1]*TH[3, e3x1] + 3*l7*TH[3, e1x1]*TH[3, e2x1]*TH[3, e3x1] - 3*Conjugate[l7]*TH[3, e1x1]*TH[3, e2x1]*TH[3, e3x1]))/2, 0, 0}},

C[ S[2, {e1x1}] , S[2, {e2x1}] , S[2, {e3x1}] , S[2, {e4x1}] ] == {{((-12*I)*l1*TH[1, e1x1]*TH[1, e2x1]*TH[1, e3x1]*TH[1, e4x1] - (3*I)*l6*TH[1, e2x1]*TH[1, e3x1]*TH[1, e4x1]*TH[2, e1x1] - (3*I)*Conjugate[l6]*TH[1, e2x1]*TH[1, e3x1]*TH[1, e4x1]*TH[2, e1x1] - (3*I)*l6*TH[1, e1x1]*TH[1, e3x1]*TH[1, e4x1]*TH[2, e2x1] - (3*I)*Conjugate[l6]*TH[1, e1x1]*TH[1, e3x1]*TH[1, e4x1]*TH[2, e2x1] - (2*I)*l3*TH[1, e3x1]*TH[1, e4x1]*TH[2, e1x1]*TH[2, e2x1] - (2*I)*l4*TH[1, e3x1]*TH[1, e4x1]*TH[2, e1x1]*TH[2, e2x1] - (4*I)*l5*TH[1, e3x1]*TH[1, e4x1]*TH[2, e1x1]*TH[2, e2x1] - (3*I)*l6*TH[1, e1x1]*TH[1, e2x1]*TH[1, e4x1]*TH[2, e3x1] - (3*I)*Conjugate[l6]*TH[1, e1x1]*TH[1, e2x1]*TH[1, e4x1]*TH[2, e3x1] - (2*I)*l3*TH[1, e2x1]*TH[1, e4x1]*TH[2, e1x1]*TH[2, e3x1] - (2*I)*l4*TH[1, e2x1]*TH[1, e4x1]*TH[2, e1x1]*TH[2, e3x1] - (4*I)*l5*TH[1, e2x1]*TH[1, e4x1]*TH[2, e1x1]*TH[2, e3x1] - (2*I)*l3*TH[1, e1x1]*TH[1, e4x1]*TH[2, e2x1]*TH[2, e3x1] - (2*I)*l4*TH[1, e1x1]*TH[1, e4x1]*TH[2, e2x1]*TH[2, e3x1] - (4*I)*l5*TH[1, e1x1]*TH[1, e4x1]*TH[2, e2x1]*TH[2, e3x1] - (3*I)*l7*TH[1, e4x1]*TH[2, e1x1]*TH[2, e2x1]*TH[2, e3x1] - (3*I)*Conjugate[l7]*TH[1, e4x1]*TH[2, e1x1]*TH[2, e2x1]*TH[2, e3x1] - (3*I)*l6*TH[1, e1x1]*TH[1, e2x1]*TH[1, e3x1]*TH[2, e4x1] - (3*I)*Conjugate[l6]*TH[1, e1x1]*TH[1, e2x1]*TH[1, e3x1]*TH[2, e4x1] - (2*I)*l3*TH[1, e2x1]*TH[1, e3x1]*TH[2, e1x1]*TH[2, e4x1] - (2*I)*l4*TH[1, e2x1]*TH[1, e3x1]*TH[2, e1x1]*TH[2, e4x1] - (4*I)*l5*TH[1, e2x1]*TH[1, e3x1]*TH[2, e1x1]*TH[2, e4x1] - (2*I)*l3*TH[1, e1x1]*TH[1, e3x1]*TH[2, e2x1]*TH[2, e4x1] - (2*I)*l4*TH[1, e1x1]*TH[1, e3x1]*TH[2, e2x1]*TH[2, e4x1] - (4*I)*l5*TH[1, e1x1]*TH[1, e3x1]*TH[2, e2x1]*TH[2, e4x1] - (3*I)*l7*TH[1, e3x1]*TH[2, e1x1]*TH[2, e2x1]*TH[2, e4x1] - (3*I)*Conjugate[l7]*TH[1, e3x1]*TH[2, e1x1]*TH[2, e2x1]*TH[2, e4x1] - (2*I)*l3*TH[1, e1x1]*TH[1, e2x1]*TH[2, e3x1]*TH[2, e4x1] - (2*I)*l4*TH[1, e1x1]*TH[1, e2x1]*TH[2, e3x1]*TH[2, e4x1] - (4*I)*l5*TH[1, e1x1]*TH[1, e2x1]*TH[2, e3x1]*TH[2, e4x1] - (3*I)*l7*TH[1, e2x1]*TH[2, e1x1]*TH[2, e3x1]*TH[2, e4x1] - (3*I)*Conjugate[l7]*TH[1, e2x1]*TH[2, e1x1]*TH[2, e3x1]*TH[2, e4x1] - (3*I)*l7*TH[1, e1x1]*TH[2, e2x1]*TH[2, e3x1]*TH[2, e4x1] - (3*I)*Conjugate[l7]*TH[1, e1x1]*TH[2, e2x1]*TH[2, e3x1]*TH[2, e4x1] - (12*I)*l2*TH[2, e1x1]*TH[2, e2x1]*TH[2, e3x1]*TH[2, e4x1] + 3*l6*TH[1, e2x1]*TH[1, e3x1]*TH[1, e4x1]*TH[3, e1x1] - 3*Conjugate[l6]*TH[1, e2x1]*TH[1, e3x1]*TH[1, e4x1]*TH[3, e1x1] + l7*TH[1, e4x1]*TH[2, e2x1]*TH[2, e3x1]*TH[3, e1x1] - Conjugate[l7]*TH[1, e4x1]*TH[2, e2x1]*TH[2, e3x1]*TH[3, e1x1] + l7*TH[1, e3x1]*TH[2, e2x1]*TH[2, e4x1]*TH[3, e1x1] - Conjugate[l7]*TH[1, e3x1]*TH[2, e2x1]*TH[2, e4x1]*TH[3, e1x1] + l7*TH[1, e2x1]*TH[2, e3x1]*TH[2, e4x1]*TH[3, e1x1] - Conjugate[l7]*TH[1, e2x1]*TH[2, e3x1]*TH[2, e4x1]*TH[3, e1x1] + 3*l6*TH[1, e1x1]*TH[1, e3x1]*TH[1, e4x1]*TH[3, e2x1] - 3*Conjugate[l6]*TH[1, e1x1]*TH[1, e3x1]*TH[1, e4x1]*TH[3, e2x1] + l7*TH[1, e4x1]*TH[2, e1x1]*TH[2, e3x1]*TH[3, e2x1] - Conjugate[l7]*TH[1, e4x1]*TH[2, e1x1]*TH[2, e3x1]*TH[3, e2x1] + l7*TH[1, e3x1]*TH[2, e1x1]*TH[2, e4x1]*TH[3, e2x1] - Conjugate[l7]*TH[1, e3x1]*TH[2, e1x1]*TH[2, e4x1]*TH[3, e2x1] + l7*TH[1, e1x1]*TH[2, e3x1]*TH[2, e4x1]*TH[3, e2x1] - Conjugate[l7]*TH[1, e1x1]*TH[2, e3x1]*TH[2, e4x1]*TH[3, e2x1] - (2*I)*l3*TH[1, e3x1]*TH[1, e4x1]*TH[3, e1x1]*TH[3, e2x1] - (2*I)*l4*TH[1, e3x1]*TH[1, e4x1]*TH[3, e1x1]*TH[3, e2x1] + (4*I)*l5*TH[1, e3x1]*TH[1, e4x1]*TH[3, e1x1]*TH[3, e2x1] - I*l7*TH[1, e4x1]*TH[2, e3x1]*TH[3, e1x1]*TH[3, e2x1] - I*Conjugate[l7]*TH[1, e4x1]*TH[2, e3x1]*TH[3, e1x1]*TH[3, e2x1] - I*l7*TH[1, e3x1]*TH[2, e4x1]*TH[3, e1x1]*TH[3, e2x1] - I*Conjugate[l7]*TH[1, e3x1]*TH[2, e4x1]*TH[3, e1x1]*TH[3, e2x1] - (4*I)*l2*TH[2, e3x1]*TH[2, e4x1]*TH[3, e1x1]*TH[3, e2x1] + 3*l6*TH[1, e1x1]*TH[1, e2x1]*TH[1, e4x1]*TH[3, e3x1] - 3*Conjugate[l6]*TH[1, e1x1]*TH[1, e2x1]*TH[1, e4x1]*TH[3, e3x1] + l7*TH[1, e4x1]*TH[2, e1x1]*TH[2, e2x1]*TH[3, e3x1] - Conjugate[l7]*TH[1, e4x1]*TH[2, e1x1]*TH[2, e2x1]*TH[3, e3x1] + l7*TH[1, e2x1]*TH[2, e1x1]*TH[2, e4x1]*TH[3, e3x1] - Conjugate[l7]*TH[1, e2x1]*TH[2, e1x1]*TH[2, e4x1]*TH[3, e3x1] + l7*TH[1, e1x1]*TH[2, e2x1]*TH[2, e4x1]*TH[3, e3x1] - Conjugate[l7]*TH[1, e1x1]*TH[2, e2x1]*TH[2, e4x1]*TH[3, e3x1] - (2*I)*l3*TH[1, e2x1]*TH[1, e4x1]*TH[3, e1x1]*TH[3, e3x1] - (2*I)*l4*TH[1, e2x1]*TH[1, e4x1]*TH[3, e1x1]*TH[3, e3x1] + (4*I)*l5*TH[1, e2x1]*TH[1, e4x1]*TH[3, e1x1]*TH[3, e3x1] - I*l7*TH[1, e4x1]*TH[2, e2x1]*TH[3, e1x1]*TH[3, e3x1] - I*Conjugate[l7]*TH[1, e4x1]*TH[2, e2x1]*TH[3, e1x1]*TH[3, e3x1] - I*l7*TH[1, e2x1]*TH[2, e4x1]*TH[3, e1x1]*TH[3, e3x1] - I*Conjugate[l7]*TH[1, e2x1]*TH[2, e4x1]*TH[3, e1x1]*TH[3, e3x1] - (4*I)*l2*TH[2, e2x1]*TH[2, e4x1]*TH[3, e1x1]*TH[3, e3x1] - (2*I)*l3*TH[1, e1x1]*TH[1, e4x1]*TH[3, e2x1]*TH[3, e3x1] - (2*I)*l4*TH[1, e1x1]*TH[1, e4x1]*TH[3, e2x1]*TH[3, e3x1] + (4*I)*l5*TH[1, e1x1]*TH[1, e4x1]*TH[3, e2x1]*TH[3, e3x1] - I*l7*TH[1, e4x1]*TH[2, e1x1]*TH[3, e2x1]*TH[3, e3x1] - I*Conjugate[l7]*TH[1, e4x1]*TH[2, e1x1]*TH[3, e2x1]*TH[3, e3x1] - I*l7*TH[1, e1x1]*TH[2, e4x1]*TH[3, e2x1]*TH[3, e3x1] - I*Conjugate[l7]*TH[1, e1x1]*TH[2, e4x1]*TH[3, e2x1]*TH[3, e3x1] - (4*I)*l2*TH[2, e1x1]*TH[2, e4x1]*TH[3, e2x1]*TH[3, e3x1] + 3*l7*TH[1, e4x1]*TH[3, e1x1]*TH[3, e2x1]*TH[3, e3x1] - 3*Conjugate[l7]*TH[1, e4x1]*TH[3, e1x1]*TH[3, e2x1]*TH[3, e3x1] + 3*l6*TH[1, e1x1]*TH[1, e2x1]*TH[1, e3x1]*TH[3, e4x1] - 3*Conjugate[l6]*TH[1, e1x1]*TH[1, e2x1]*TH[1, e3x1]*TH[3, e4x1] + l7*TH[1, e3x1]*TH[2, e1x1]*TH[2, e2x1]*TH[3, e4x1] - Conjugate[l7]*TH[1, e3x1]*TH[2, e1x1]*TH[2, e2x1]*TH[3, e4x1] + l7*TH[1, e2x1]*TH[2, e1x1]*TH[2, e3x1]*TH[3, e4x1] - Conjugate[l7]*TH[1, e2x1]*TH[2, e1x1]*TH[2, e3x1]*TH[3, e4x1] + l7*TH[1, e1x1]*TH[2, e2x1]*TH[2, e3x1]*TH[3, e4x1] - Conjugate[l7]*TH[1, e1x1]*TH[2, e2x1]*TH[2, e3x1]*TH[3, e4x1] - (2*I)*l3*TH[1, e2x1]*TH[1, e3x1]*TH[3, e1x1]*TH[3, e4x1] - (2*I)*l4*TH[1, e2x1]*TH[1, e3x1]*TH[3, e1x1]*TH[3, e4x1] + (4*I)*l5*TH[1, e2x1]*TH[1, e3x1]*TH[3, e1x1]*TH[3, e4x1] - I*l7*TH[1, e3x1]*TH[2, e2x1]*TH[3, e1x1]*TH[3, e4x1] - I*Conjugate[l7]*TH[1, e3x1]*TH[2, e2x1]*TH[3, e1x1]*TH[3, e4x1] - I*l7*TH[1, e2x1]*TH[2, e3x1]*TH[3, e1x1]*TH[3, e4x1] - I*Conjugate[l7]*TH[1, e2x1]*TH[2, e3x1]*TH[3, e1x1]*TH[3, e4x1] - (4*I)*l2*TH[2, e2x1]*TH[2, e3x1]*TH[3, e1x1]*TH[3, e4x1] - (2*I)*l3*TH[1, e1x1]*TH[1, e3x1]*TH[3, e2x1]*TH[3, e4x1] - (2*I)*l4*TH[1, e1x1]*TH[1, e3x1]*TH[3, e2x1]*TH[3, e4x1] + (4*I)*l5*TH[1, e1x1]*TH[1, e3x1]*TH[3, e2x1]*TH[3, e4x1] - I*l7*TH[1, e3x1]*TH[2, e1x1]*TH[3, e2x1]*TH[3, e4x1] - I*Conjugate[l7]*TH[1, e3x1]*TH[2, e1x1]*TH[3, e2x1]*TH[3, e4x1] - I*l7*TH[1, e1x1]*TH[2, e3x1]*TH[3, e2x1]*TH[3, e4x1] - I*Conjugate[l7]*TH[1, e1x1]*TH[2, e3x1]*TH[3, e2x1]*TH[3, e4x1] - (4*I)*l2*TH[2, e1x1]*TH[2, e3x1]*TH[3, e2x1]*TH[3, e4x1] + 3*l7*TH[1, e3x1]*TH[3, e1x1]*TH[3, e2x1]*TH[3, e4x1] - 3*Conjugate[l7]*TH[1, e3x1]*TH[3, e1x1]*TH[3, e2x1]*TH[3, e4x1] - (2*I)*l3*TH[1, e1x1]*TH[1, e2x1]*TH[3, e3x1]*TH[3, e4x1] - (2*I)*l4*TH[1, e1x1]*TH[1, e2x1]*TH[3, e3x1]*TH[3, e4x1] + (4*I)*l5*TH[1, e1x1]*TH[1, e2x1]*TH[3, e3x1]*TH[3, e4x1] - I*l7*TH[1, e2x1]*TH[2, e1x1]*TH[3, e3x1]*TH[3, e4x1] - I*Conjugate[l7]*TH[1, e2x1]*TH[2, e1x1]*TH[3, e3x1]*TH[3, e4x1] - I*l7*TH[1, e1x1]*TH[2, e2x1]*TH[3, e3x1]*TH[3, e4x1] - I*Conjugate[l7]*TH[1, e1x1]*TH[2, e2x1]*TH[3, e3x1]*TH[3, e4x1] - (4*I)*l2*TH[2, e1x1]*TH[2, e2x1]*TH[3, e3x1]*TH[3, e4x1] + 3*l7*TH[1, e2x1]*TH[3, e1x1]*TH[3, e3x1]*TH[3, e4x1] - 3*Conjugate[l7]*TH[1, e2x1]*TH[3, e1x1]*TH[3, e3x1]*TH[3, e4x1] + 3*l7*TH[1, e1x1]*TH[3, e2x1]*TH[3, e3x1]*TH[3, e4x1] - 3*Conjugate[l7]*TH[1, e1x1]*TH[3, e2x1]*TH[3, e3x1]*TH[3, e4x1] - (12*I)*l2*TH[3, e1x1]*TH[3, e2x1]*TH[3, e3x1]*TH[3, e4x1])/2, 0, 0}},

C[ S[2, {e1x1}] , -S[1] , V[3] ] == {{I*gc16*(TH[2, e1x1] + I*TH[3, e1x1]), 0, 0}, {gc16*((-I)*TH[2, e1x1] + TH[3, e1x1]), 0, 0}},

C[ S[2, {e2x1}] , -S[1] , V[1] , V[3] ] == {{((I/2)*EL^2*(TH[2, e2x1] + I*TH[3, e2x1]))/sw, 0, 0}},

C[ S[2, {e1x1}] , S[1] , -V[3] ] == {{(gc18[e1x1]*((-I)*TH[2, e1x1] - TH[3, e1x1]))/(TH[2, e1x1] + TH[3, e1x1]), 0, 0}, {(gc18[e1x1]*(I*TH[2, e1x1] + TH[3, e1x1]))/(TH[2, e1x1] + TH[3, e1x1]), 0, 0}},

C[ S[2, {e2x1}] , S[1] , V[1] , -V[3] ] == {{(EL^2*(I*TH[2, e2x1] + TH[3, e2x1]))/(2*sw), 0, 0}},

C[ S[1] , -S[1] , V[3] , -V[3] ] == {{((I/2)*EL^2)/sw^2, 0, 0}},

C[ S[2, {e1x1}] , V[3] , -V[3] ] == {{((I/2)*EL^2*v*TH[1, e1x1])/sw^2, 0, 0}},

C[ S[2, {e1x1}] , S[2, {e2x1}] , V[3] , -V[3] ] == {{((I/2)*EL^2*(TH[1, e1x1]*TH[1, e2x1] + TH[2, e1x1]*TH[2, e2x1] + TH[3, e1x1]*TH[3, e2x1]))/sw^2, 0, 0}},

C[ S[1] , -S[1] , V[1] , V[2] ] == {{(I*EL^2*(cw - sw)*(cw + sw))/(cw*sw), 0, 0}},

C[ S[1] , -S[1] , V[2] ] == {{(-I)*gc24, 0, 0}, {I*gc24, 0, 0}},

C[ S[2, {e1x1}] , S[2, {e2x1}] , V[2] ] == {{-gc25[e1x1, e2x1], 0, 0}, {gc25[e1x1, e2x1], 0, 0}},

C[ S[2, {e1x1}] , -S[1] , V[3] , V[2] ] == {{(EL^2*((-I)*TH[2, e1x1] + TH[3, e1x1]))/(2*cw), 0, 0}},

C[ S[2, {e1x1}] , S[1] , -V[3] , V[2] ] == {{((-I/2)*EL^2*(TH[2, e1x1] - I*TH[3, e1x1]))/cw, 0, 0}},

C[ S[1] , -S[1] , V[2] , V[2] ] == {{((I/2)*EL^2*(cw - sw)^2*(cw + sw)^2)/(cw^2*sw^2), 0, 0}},

C[ S[2, {e1x1}] , V[2] , V[2] ] == {{((I/2)*EL^2*(cw^2 + sw^2)^2*v*TH[1, e1x1])/(cw^2*sw^2), 0, 0}},

C[ S[2, {e1x1}] , S[2, {e2x1}] , V[2] , V[2] ] == {{((I/2)*EL^2*(cw^2 + sw^2)^2*(TH[1, e1x1]*TH[1, e2x1] + TH[2, e1x1]*TH[2, e2x1] + TH[3, e1x1]*TH[3, e2x1]))/(cw^2*sw^2), 0, 0}},

C[ -F[4, {e2x2, e2x3}] , F[4, {e1x2, e1x3}] , V[4, {e3x2}] ] == {{I*gc31*IndexDelta[e1x2, e2x2]*SUNT[e3x2, e2x3, e1x3], 0, 0}, {I*gc31*IndexDelta[e1x2, e2x2]*SUNT[e3x2, e2x3, e1x3], 0, 0}},

C[ -F[3, {e3x2, e3x3}] , F[3, {e2x2, e2x3}] , V[4, {e1x2}] ] == {{I*gc32*IndexDelta[e2x2, e3x2]*SUNT[e1x2, e3x3, e2x3], 0, 0}, {I*gc32*IndexDelta[e2x2, e3x2]*SUNT[e1x2, e3x3, e2x3], 0, 0}},

C[ -F[4, {e3x2, e3x3}] , F[4, {e2x2, e2x3}] , V[1] ] == {{I*gc33*IndexDelta[e2x2, e3x2]*IndexDelta[e2x3, e3x3], 0, 0}, {I*gc33*IndexDelta[e2x2, e3x2]*IndexDelta[e2x3, e3x3], 0, 0}},

C[ -F[2, {e3x2}] , F[2, {e2x2}] , V[1] ] == {{I*gc34*IndexDelta[e2x2, e3x2], 0, 0}, {I*gc34*IndexDelta[e2x2, e3x2], 0, 0}},

C[ -F[3, {e3x2, e3x3}] , F[3, {e2x2, e2x3}] , V[1] ] == {{I*gc35*IndexDelta[e2x2, e3x2]*IndexDelta[e2x3, e3x3], 0, 0}, {I*gc35*IndexDelta[e2x2, e3x2]*IndexDelta[e2x3, e3x3], 0, 0}},

C[ -F[1, {e2x2}] , F[2, {e1x2}] , V[3] ] == {{I*gc36*IndexDelta[e1x2, e2x2], 0, 0}, {0, 0, 0}},

C[ -F[3, {e2x2, e2x3}] , F[4, {e1x2, e1x3}] , V[3] ] == {{I*gc37[e2x2, e1x2]*IndexDelta[e1x3, e2x3], 0, 0}, {0, 0, 0}},

C[ -F[2, {e1x2}] , F[1, {e2x2}] , -V[3] ] == {{I*gc38*IndexDelta[e1x2, e2x2], 0, 0}, {0, 0, 0}},

C[ -F[4, {e1x2, e1x3}] , F[3, {e2x2, e2x3}] , -V[3] ] == {{I*gc39[e1x2, e2x2]*IndexDelta[e1x3, e2x3], 0, 0}, {0, 0, 0}},

C[ -F[4, {e2x2, e2x3}] , F[4, {e1x2, e1x3}] , V[2] ] == {{I*gc40L*IndexDelta[e1x2, e2x2]*IndexDelta[e1x3, e2x3], 0, 0}, {I*gc40R*IndexDelta[e1x2, e2x2]*IndexDelta[e1x3, e2x3], 0, 0}},

C[ -F[2, {e2x2}] , F[2, {e1x2}] , V[2] ] == {{I*gc41L*IndexDelta[e1x2, e2x2], 0, 0}, {I*gc41R*IndexDelta[e1x2, e2x2], 0, 0}},

C[ -F[3, {e2x2, e2x3}] , F[3, {e1x2, e1x3}] , V[2] ] == {{I*gc42L*IndexDelta[e1x2, e2x2]*IndexDelta[e1x3, e2x3], 0, 0}, {I*gc42R*IndexDelta[e1x2, e2x2]*IndexDelta[e1x3, e2x3], 0, 0}},

C[ -F[1, {e2x2}] , F[1, {e1x2}] , V[2] ] == {{I*gc43*IndexDelta[e1x2, e2x2], 0, 0}, {0, 0, 0}},

C[ -F[4, {e1x2, e1x3}] , F[3, {e3x2, e3x3}] , -S[1] ] == {{I*gc44L[e1x2, e3x2]*IndexDelta[e1x3, e3x3], 0, 0}, {I*gc44R[e1x2, e3x2]*IndexDelta[e1x3, e3x3], 0, 0}},

C[ -F[2, {e2x2}] , F[1, {e3x2}] , -S[1] ] == {{I*gc45[e2x2, e3x2], 0, 0}, {0, 0, 0}},

C[ -F[3, {e3x2, e3x3}] , F[4, {e1x2, e1x3}] , S[1] ] == {{I*gc46L[e3x2, e1x2]*IndexDelta[e1x3, e3x3], 0, 0}, {I*gc46R[e3x2, e1x2]*IndexDelta[e1x3, e3x3], 0, 0}},

C[ -F[1, {e3x2}] , F[2, {e2x2}] , S[1] ] == {{0, 0, 0}, {I*gc47R[e3x2, e2x2], 0, 0}},

C[ -F[4, {e2x2, e2x3}] , F[4, {e1x2, e1x3}] , S[2, {e3x1}] ] == {{(gc48L[e2x2, e1x2, e3x1]*IndexDelta[e1x3, e2x3]*(I*Conjugate[DD[e1x2, e2x2]]*TH[1, e3x1] + Conjugate[GD[e1x2, e2x2]]*(I*TH[2, e3x1] + TH[3, e3x1])))/(Conjugate[DD[e1x2, e2x2]]*TH[1, e3x1] + Conjugate[GD[e1x2, e2x2]]*(TH[2, e3x1] - TH[3, e3x1])), 0, 0}, {(I*gc48R[e2x2, e1x2, e3x1]*IndexDelta[e1x3, e2x3]*(DD[e2x2, e1x2]*TH[1, e3x1] + GD[e2x2, e1x2]*(TH[2, e3x1] + I*TH[3, e3x1])))/(DD[e2x2, e1x2]*TH[1, e3x1] + GD[e2x2, e1x2]*(TH[2, e3x1] + TH[3, e3x1])), 0, 0}},

C[ -F[2, {e3x2}] , F[2, {e2x2}] , S[2, {e1x1}] ] == {{(gc49L[e3x2, e2x2, e1x1]*(I*Conjugate[DL[e2x2, e3x2]]*TH[1, e1x1] + Conjugate[GL[e2x2, e3x2]]*(I*TH[2, e1x1] + TH[3, e1x1])))/(Conjugate[DL[e2x2, e3x2]]*TH[1, e1x1] + Conjugate[GL[e2x2, e3x2]]*(TH[2, e1x1] - TH[3, e1x1])), 0, 0}, {(I*gc49R[e3x2, e2x2, e1x1]*(DL[e3x2, e2x2]*TH[1, e1x1] + GL[e3x2, e2x2]*(TH[2, e1x1] + I*TH[3, e1x1])))/(DL[e3x2, e2x2]*TH[1, e1x1] + GL[e3x2, e2x2]*(TH[2, e1x1] + TH[3, e1x1])), 0, 0}},

C[ -F[3, {e3x2, e3x3}] , F[3, {e2x2, e2x3}] , S[2, {e1x1}] ] == {{(I*gc50L[e3x2, e2x2, e1x1]*IndexDelta[e2x3, e3x3]*(Conjugate[DU[e2x2, e3x2]]*TH[1, e1x1] + Conjugate[GU[e2x2, e3x2]]*(TH[2, e1x1] + I*TH[3, e1x1])))/(Conjugate[DU[e2x2, e3x2]]*TH[1, e1x1] + Conjugate[GU[e2x2, e3x2]]*(TH[2, e1x1] + TH[3, e1x1])), 0, 0}, {(gc50R[e3x2, e2x2, e1x1]*IndexDelta[e2x3, e3x3]*(I*DU[e3x2, e2x2]*TH[1, e1x1] + GU[e3x2, e2x2]*(I*TH[2, e1x1] + TH[3, e1x1])))/(DU[e3x2, e2x2]*TH[1, e1x1] + GU[e3x2, e2x2]*(TH[2, e1x1] - TH[3, e1x1])), 0, 0}}

}

(* * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * * *)

(* Parameter replacement lists (These lists were created by FeynRules) *)

(* FA Couplings *)

M$FACouplings = {
     gc1 -> -GS,
     gc2 -> -GS^2,
     gc3 -> gw*sw,
     gc4 -> -(gw^2*sw^2),
     gc5 -> cw*gw,
     gc6 -> gw^2,
     gc7 -> cw*gw^2*sw,
     gc8 -> -(cw^2*gw^2),
     gc11 -> -EL,
     gc16 -> EL/(2*sw),
     gc18[e1x1_] -> (EL*(TH[2, e1x1] + TH[3, e1x1]))/(2*sw),
     gc24 -> -(cw*EL)/(2*sw) + (EL*sw)/(2*cw),
     gc25[e1x1_, e2x1_] -> -(EL*(cw^2 + sw^2)*(TH[2, e2x1]*TH[3, e1x1] - TH[2, e1x1]*TH[3, e2x1]))/(2*cw*sw),
     gc31 -> GS,
     gc32 -> GS,
     gc33 -> -EL/3,
     gc34 -> -EL,
     gc35 -> (2*EL)/3,
     gc36 -> EL/(Sqrt[2]*sw),
     gc37[e2x2_, e1x2_] -> (EL*CKM[e2x2, e1x2])/(Sqrt[2]*sw),
     gc38 -> EL/(Sqrt[2]*sw),
     gc39[e1x2_, e2x2_] -> (EL*Conjugate[CKM[e2x2, e1x2]])/(Sqrt[2]*sw),
     gc40L -> -(EL*(3*cw^2 + sw^2))/(6*cw*sw),
     gc40R -> (EL*sw)/(3*cw),
     gc41L -> -(EL*(cw^2 - sw^2))/(2*cw*sw),
     gc41R -> (EL*sw)/cw,
     gc42L -> (cw*EL)/(2*sw) - (EL*sw)/(6*cw),
     gc42R -> (-2*EL*sw)/(3*cw),
     gc43 -> (EL*(cw^2 + sw^2))/(2*cw*sw),
     gc44L[e1x2_, e3x2_] -> -((Sqrt[2]*Conjugate[GD[e3x2, e1x2]])/v),
     gc44R[e1x2_, e3x2_] -> (Sqrt[2]*GU[e1x2, e3x2])/v,
     gc45[e2x2_, e3x2_] -> -((Sqrt[2]*Conjugate[GL[e3x2, e2x2]])/v),
     gc46L[e3x2_, e1x2_] -> (Sqrt[2]*Conjugate[GU[e1x2, e3x2]])/v,
     gc46R[e3x2_, e1x2_] -> -((Sqrt[2]*GD[e3x2, e1x2])/v),
     gc47L -> 1,
     gc47R[e3x2_, e2x2_] -> -((Sqrt[2]*GL[e3x2, e2x2])/v),
     gc48L[e2x2_, e1x2_, e3x1_] -> (-(Conjugate[DD[e1x2, e2x2]]*TH[1, e3x1]) - Conjugate[GD[e1x2, e2x2]]*(TH[2, e3x1] - TH[3, e3x1]))/v,
     gc48R[e2x2_, e1x2_, e3x1_] -> (-(DD[e2x2, e1x2]*TH[1, e3x1]) - GD[e2x2, e1x2]*(TH[2, e3x1] + TH[3, e3x1]))/v,
     gc49L[e3x2_, e2x2_, e1x1_] -> (-(Conjugate[DL[e2x2, e3x2]]*TH[1, e1x1]) - Conjugate[GL[e2x2, e3x2]]*(TH[2, e1x1] - TH[3, e1x1]))/v,
     gc49R[e3x2_, e2x2_, e1x1_] -> (-(DL[e3x2, e2x2]*TH[1, e1x1]) - GL[e3x2, e2x2]*(TH[2, e1x1] + TH[3, e1x1]))/v,
     gc50L[e3x2_, e2x2_, e1x1_] -> (-(Conjugate[DU[e2x2, e3x2]]*TH[1, e1x1]) - Conjugate[GU[e2x2, e3x2]]*(TH[2, e1x1] + TH[3, e1x1]))/v,
     gc50R[e3x2_, e2x2_, e1x1_] -> (-(DU[e3x2, e2x2]*TH[1, e1x1]) - GU[e3x2, e2x2]*(TH[2, e1x1] - TH[3, e1x1]))/v};

